jphase

## Class DenseContProbTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - jphase.DenseContProbTest

- All Implemented Interfaces:
    junit.framework.Test

      public class DenseContProbTest
      extends junit.framework.TestCase

  Set of Tests for the probability methods of the DenseContPhaseVar class
  Author:
    Juan F. Pérez

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DenseContProbTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `void` | `testProb1()` Test for the method jphase.DenseContPhaseVar.pdf and jphase.DenseContPhaseVar.cdf
    `void` | `testProb2()` Test for the method jphase.DenseContPhaseVar.pdf and jphase.DenseContPhaseVar.cdf
    `void` | `testProb3()` Test for the method jphase.DenseContPhaseVar.pdf and jphase.DenseContPhaseVar.cdf

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, getName, run, run, runBare, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DenseContProbTest

          public DenseContProbTest()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Parameters:
        `args` - Not used

    - #### testProb1

          public void testProb1()

      Test for the method jphase.DenseContPhaseVar.pdf and jphase.DenseContPhaseVar.cdf

    - #### testProb2

          public void testProb2()

      Test for the method jphase.DenseContPhaseVar.pdf and jphase.DenseContPhaseVar.cdf

    - #### testProb3

          public void testProb3()

      Test for the method jphase.DenseContPhaseVar.pdf and jphase.DenseContPhaseVar.cdf